library ieee;
use ieee.std_logic_1164.all;

entity filtrage_tb is 
end;

architecture testbench of filtrage_tb is
  signal clock : std_logic := '0';
  signal x0 : integer range  -1 to 1 := 0;
  signal y : integer range -8192 to 8191;
  constant TIME_DELTA : time := 10 ns;
  constant SAMPLE_CLOCK_PERIOD : time := 100 ns;
	
begin
	dut : entity work.filtrage port map(clock => clock, x0 => x0, y => y);

	clock <= not(clock) after SAMPLE_CLOCK_PERIOD/2;
	
	process
	
	   begin 
	  
	   wait for TIME_DELTA;
		
      wait for SAMPLE_CLOCK_PERIOD;

		x0 <= 1;

		wait for SAMPLE_CLOCK_PERIOD;

		x0 <= 0;
		
	   wait;
		
	end process;
		
end;