library ieee;
use ieee.std_logic_1164.all;

entity filtrage is 
   port(
	    clock : in std_logic;
	    x0 : in integer range -1 to 1 ;
	    y : out integer range -8192 to 8191 := 0
	);
end;

architecture behave of filtrage is

	 constant NUMBER_OF_COEFFS : natural := 33;
	 	 
	 type sample_type is array (0 to NUMBER_OF_COEFFS-1) of integer range -1 to 1;
	 type coeff_type is array (0 to NUMBER_OF_COEFFS-1) of integer range -16384 to 16383;
	 
	 
	 constant H : coeff_type := (
														   0, -1, -21, -36, 0, 101, 213, 213, -1, -396, -749, -710, 0, 1383, 3077, 4477, 5019, 4477, 3077, 1383, 0, -710, -749, -396, -1, 213, 213, 101, 0, -36, -21, -1, 0
														);	 
	 signal x : sample_type := (others => 0);
		 	
begin
 
	x(0) <= x0;
	
    shift : process(clock)
		begin
			if falling_edge(clock) then
			   x(1 to NUMBER_OF_COEFFS-1) <= x (0 to NUMBER_OF_COEFFS-2);
			end if;
		end process;
	
	
     multacc : process(clock)
	  variable sum : integer range -16384 to 16383 := 0;
	  variable s : coeff_type := (others => 0);
   begin
	  if falling_edge(clock) then
			
			
			
			
			
			
	  end if;
	end process;
  
end;
	 

	