library ieee;
use ieee.std_logic_1164.all;

entity filtre_top_tb is 
end;

architecture testbench of filtre_top_tb is
signal clock : std_logic := '0';
signal dac_data : integer range 0 to 16383;
signal dac_mode : std_logic;
signal dac_clock : std_logic;
signal symbol_clock : std_logic;
constant CLOCK_50_PERIOD : time := 20 ns;
	
begin
	dut : entity work.filtre_top port map(clock_50_M => clock, dac_data => dac_data, dac_mode => dac_mode, dac_clock => dac_clock, symbol_clock => symbol_clock);

	clock <= not(clock) after CLOCK_50_PERIOD/2;
		
end;